class_name GuildEmployee extends AdventurerSprite

@export var speech :String
@onready var queue : GuildQueue = $Queue

signal service_provided()

func interact(interactor, type : String = "") -> void:
	if type == "register":
		Guild.register_guild_member(interactor.data, true)
		#interactor.advance_
		service_provided.emit()
